%define _requires_exceptions pear(Pager/Wrapper.php)
%define upstream_name Pager
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.4.8
Release:     	%mkrel 6
Summary:    	Data paging class
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Pager-%{version}.tgz
URL: 		http://pear.php.net/package/Pager
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
It takes an array of data as input and pages it according to various
parameters.
It also builds links within a specified range, and allows complete
customization of the output (it even works with front controllers and
mod_rewrite).
Two operating modes available: "Jumping" and "Sliding" window style.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Pager.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Pager.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Pager
fi

%files
%defattr(-,root,root)
%doc docs/Pager/*
%{peardir}/*
%{xmldir}/Pager.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.4.8-6.mga3
+ Revision: 377217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 spuhler <spuhler> 2.4.8-5.mga2
+ Revision: 199280
- %define _requires_exceptions pear(Pager/Wrapper.php)
  pearized spec

* Sat Jan 21 2012 spuhler <spuhler> 2.4.8-4.mga2
+ Revision: 199148
+ rebuild (emptylog)

* Sat Feb 05 2011 spuhler <spuhler> 2.4.8-3.mga1
+ Revision: 47536
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Pager

